Bug 105520 - "Selection Count" does not appear on Status bar when selected.
Summary: "Selection Count" does not appear on Status bar when selected.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.2 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-01-25 12:59 UTC by brucehohl
Modified: 2017-01-26 10:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description brucehohl 2017-01-25 12:59:59 UTC
Description:
On the Status bar the user can choose for display by check box: Average, CountA, Count, Maximum, Minimum, Sum, Selection Count.  Nothing is displayed if "Selection Count" is checked.

Not working on 5.3.0.2.  Does work on 5.2.5.1.

Steps to Reproduce:
1. Activate "Selection Count" with the check box.



Actual Results:  
"Selection Count" is not displayed.

Expected Results:
Selection Count and value should be displayed.  For example, if 4 cells are selected the following should be displayed in the status bar: "Selection Count: 4".


Reproducible: Always

User Profile Reset: No but tested on a clean OS install.

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Buovjaga 2017-01-25 18:09:58 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 63fd4c97118a943c84ba5a666cf8c9cc54b511c7
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on January 22th 2016
Comment 2 Xisco Faulí 2017-01-25 20:02:30 UTC
Regression introduced by:

author	Tamás Zolnai <zolnaitamas2000@gmail.com>	2016-11-19 22:59:49 (GMT)
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2016-11-19 23:14:28 (GMT)
commit	298ee50676b849020a8a5042e8612f71379ecf3b (patch)
tree	a44a07ee98676148fabb7838e80a391db1019e69
parent	eb27a63a38ee7d15292dc40520b0605e4c2228e2 (diff)
PivotMedian: Implement median as a new pivot table function

Adding Cc: Tamás Zolnai
Comment 3 Commit Notification 2017-01-25 22:21:03 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=326729ce54de5296cb2a673ae88d2befa3e245ef

tdf#105520: "Selection Count" does not appear on Status bar when selected

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-01-26 08:58:21 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cba6653d460cc3800d1bd84ca9d39279b928e473&h=libreoffice-5-3

tdf#105520: "Selection Count" does not appear on Status bar when selected

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.